curl --request PUT \
--url https://api.byblend.com/api/v1/reasons/{reason_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Physical location",
"description": "Patient cannot access physical pharmacy due to natural disasters or similar event.",
"parent_id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708"
}
'import requests
url = "https://api.byblend.com/api/v1/reasons/{reason_id}"
payload = {
"name": "Physical location",
"description": "Patient cannot access physical pharmacy due to natural disasters or similar event.",
"parent_id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Physical location',
description: 'Patient cannot access physical pharmacy due to natural disasters or similar event.',
parent_id: '0227d1e5-ba9a-42b5-8fe2-38882aa65708'
})
};
fetch('https://api.byblend.com/api/v1/reasons/{reason_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"created_at": "2025-03-15T12:00:00Z",
"updated_at": "2025-03-15T12:00:00Z",
"name": "Adherence or Compliance",
"description": "Issues related to patient adherence and medication compliance.",
"is_global": true,
"parent_id": null
}Update a custom compounding reason
Update the details for a specific compounding reason by its unique ID.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique (UUID) identifier fofor the compounding reason
Body
Short name, e.g. 'Swallowing Difficulty'
"Physical location"
Additional details of the compounding reason
"Patient cannot access physical pharmacy due to natural disasters or similar event."
ID of the parent reason, if you wish to nest reasons under a global parent (e.g. 'Adherence or Compliance') or your own custom parent.
"0227d1e5-ba9a-42b5-8fe2-38882aa65708"
Response
Compounding reason updated successfully
Unique identifier
"0227d1e5-ba9a-42b5-8fe2-38882aa65708"
Date and time of creation
"2025-03-15T12:00:00Z"
Date and time of last update
"2025-03-15T12:00:00Z"
"Adherence or Compliance"
"Issues related to patient adherence and medication compliance."
Whether the reason is a global reason (provided by Blend) or a customer-specific reason.
true
UUID of the parent reason, or null if this is a top-level reason.
null